#ifndef APPEXCEPTION_H
#define APPEXCEPTION_H

#include <QException>


class AppException : public QException
{
public:
    explicit AppException(const QString& text);

public:
    const char* what() const noexcept override;
    const QString& getText() const;

private:
    const QString text;
};

#endif // APPEXCEPTION_H
